On Error Resume Next
'******************************************
'Function to get the Time Key from the config file
'******************************************

Public Function TimeKey(strFromFile)
    Dim a
    a = InStr(1, strFromFile, ":")
    If a <> 0 Then
      TimeKey = Left(strFromFile, a - 1)
    End If
End Function

'******************************************
'Function to get the Time Value from the config file
'******************************************
Public Function TimeValue(strFromFile)
    Dim a
    a = InStr(1, strFromFile, ":")
    If a <> 0 Then
      TimeValue = Right(strFromFile, Len(strFromFile) - a)
    End If
End Function

function ping(srvr_name)
    set wshshell=wscript.createobject("wscript.shell")
    wshShell.Run "cmd /c ping -n 1 -l 1 " & srvr_name & "> ping.txt",0,true
    'Ping = convertping()
end function

Dim fso, configfile, strFromFile, strClientNameKey, strClientNameValue
Const ForReading = 1

Set fso = CreateObject("Scripting.FileSystemObject")
Set configfile = fso.OpenTextFile("C:\mss\config.ini", ForReading)

Do While Not configfile.AtEndOfStream
   strFromFile = configfile.Readline
   strClientNameKey = Trim(TimeKey(strFromFile))
   If strClientNameKey = Trim("CLIENTNAME") Then
     strClientNameValue = Trim(TimeValue(strFromFile))
   End If
Loop
configfile.Close

Dim AdapterConfig
Dim RetVal
Set AdapterConfig = GetObject("winmgmts:Win32_NetworkAdapterConfiguration")

'WMI release ip for all network adapters
RetVal = AdapterConfig.ReleaseDHCPLeaseAll

Dim WriteLogFile, myFSO

Set myFSO = CreateObject("Scripting.FileSystemObject")
Set WriteLogFile = myFSO.OpenTextFile("C:\mss\MSSlog.txt", 8)

If Err <> 0 Then
    WriteLogFile.Write "Test-DHCP. DHCP Release failed	" & Err.Description & " " & Err.Number & " " & Now & vbNewLine
ElseIf Err = 0 Then
    WriteLogFile.Write "Test-DHCP. IP Address Release was successful  " & Now & vbNewLine
End If


'WMI renew ip for all network adapters
RetVal = AdapterConfig.RenewDHCPLeaseAll

If Err <> 0 Then
    WriteLogFile.Write "Test-DHCP. DHCP Renew failed	" & Err.Description & " " & Err.Number & " " & Now & vbNewLine
ElseIf Err = 0 Then
    WriteLogFile.Write "Test-DHCP. IP Address Renew was successful  " & Now & vbNewLine
End If

ping(strClientNameValue)

Set AdapterConfig = Nothing
Set myFSO = Nothing
set WriteLogFile = Nothing
