Option Explicit

'******************************************
'Function to get the Time Key from the config file
'******************************************
Public Function TimeKey(strFromFile)
Dim a
a = InStr(1, strFromFile, ":")
If a <> 0 Then
  TimeKey = Left(strFromFile, a - 1)
End If
End Function

'******************************************
'Function to get the Time Value from the config file
'******************************************
Public Function TimeValue(strFromFile)
Dim a
a = InStr(1, strFromFile, ":")
If a <> 0 Then
  TimeValue = Right(strFromFile, Len(strFromFile) - a)
End If
End Function

'*******************************************************************************
'The script does a typical information search for a particular object
'mssuserTest1 user must exist under MSSUSER ou with password Infy123+
'********************************************************************************
Dim fso
Dim configfile
Dim strFromFile
Dim strTimeKey1
Dim domainname
Dim myUsrStr
Dim myUsrObj
Dim username
Dim strUserKey
Dim strUserValue
Dim strOUKey
Dim strOUValue
Dim WriteLogFile
Const ForReading = 1

Set fso = CreateObject("Scripting.FileSystemObject")
Set configfile = fso.OpenTextFile("C:\mss\config.ini", ForReading)
Do While Not configfile.AtEndOfStream
   strFromFile = configfile.Readline
   strTimeKey1 = TimeKey(strFromFile)
   If strTimeKey1 = "strNamingContext" Then
     domainname = TimeValue(strFromFile)
   End If
Loop
configfile.Close

Set configfile = fso.OpenTextFile("C:\mss\config.ini", ForReading)
Do While Not configfile.AtEndOfStream
   strFromFile = configfile.Readline
   strUserKey = TimeKey(strFromFile)
   If strUserKey = "USER" Then
     strUserValue = TimeValue(strFromFile)
   End If
Loop
configfile.Close

Set configfile = fso.OpenTextFile("C:\mss\config.ini", ForReading)
Do While Not configfile.AtEndOfStream
   strFromFile = configfile.Readline
   strOUKey = TimeKey(strFromFile)
   If strOUKey = "OU" Then
     strOUValue = TimeValue(strFromFile)
   End If
Loop
configfile.Close

myUsrStr = "LDAP://cn=" & strUserValue & ",ou=" & strOUValue & ",ou=MSSTEST," & domainname
Set myUsrObj = GetObject(myUsrStr)
username = myUsrObj.FirstName
'msgbox username
Set WriteLogFile = fso.OpenTextFile("C:\mss\MSSlog.txt", 8)
If Err <> 0 Then
    WriteLogFile.Write "Test-Directory Query   Failed  " & Err.Description & " " & Err.Number & " " & Now & vbNewLine
ElseIf Err = 0 Then
    WriteLogFile.Write "Test-Directory Query   Passed  " & Now & vbNewLine
End If
WriteLogFile.Close